BOARD
ID="CPQ0501"
NAME="COMPAQ DESKPRO/M System Board"
MFR="COMPAQ"
CATEGORY="SYS"
SLOT=EMB(0)
READID=YES
SIZING=0
VERSION=1.27
REV=1

SYSTEM
NONVOLATILE=4096
AMPERAGE=20000
SLOT(6)=OTHER(11),"P1"    LABEL="Proc"
SLOT(7)=OTHER(9),"MEM_1"  LABEL="Mem"
SLOT(1)=EISA(1)           LABEL="Slot 1"
SLOT(2)=EISA(2)           LABEL="Slot 2"
SLOT(3)=EISA(3)           LABEL="Slot 3"
SLOT(4)=EISA(4)           LABEL="Slot 4"
SLOT(5)=EISA(5)           LABEL="Slot 5"

MEMORY=640K  ADDRESS=0K   CACHE=YES STEP=128K
MEMORY=256K  ADDRESS=640K CACHE=NO
MEMORY=1023M ADDRESS=896K CACHE=YES STEP=128K

SWITCH(1)=6
NAME="SWITCH"
STYPE=DIP
REVERSE=YES
VERTICAL=NO
FACTORY=LOC(1-6)000000 
INITVAL=LOC(1-6)000000
COMMENTS="Switch Positions:
\n1 -  reserved
\n2 -  OFF=Unlock EISA Configuration,
\n     ON =Lock EISA Configuration.
\n3 -  OFF=Floppy write enabled,
\n     ON =Floppy write disabled.
\n4 -  OFF=Floppy boot control dependent on configuration selection.
\n     ON =Floppy boot enabled (configuration selection override),
\n5 -  OFF=User password override disabled,
\n     ON =User password override enabled.
\n6 -  OFF=EISA configuration override disabled
\n     ON =EISA configuration override enabled."

INCLUDE="CPQSYS01.OVL"
BEGINOVL

;os
INCLUDE="CPQOS.CMN"

;sid
FUNCTION="System Identification Number"
CHOICE="None"
CHOICE=""

;floppy
GROUP="Integrated Diskette Controller"
INCLUDE="CPQFPY.CMN"
INCLUDE="CPQFPSWP.CMN"
ENDGROUP

;fdisk
GROUP="Integrated Fixed Disk Controller"
INCLUDE="CPQDKIF.CMN"
FUNCTION="Drive Type - Unit 1"
COMMENTS="\nCAUTION: The attached disk drive type was automatically
determined.  This selection may be changed, but selecting the wrong
drive type will cause improper operation of the fixed disk.\n\n"
TYPE="MSD,UNIT0,DSKDRV"
INCLUDE="CPQDKTYP.CMN"
FUNCTION="Drive Type - Unit 2"
COMMENTS="\nCAUTION: The attached disk drive type was automatically
determined.  This selection may be changed, but selecting the wrong
drive type will cause improper operation of the fixed disk.\n\n"
TYPE="MSD,UNIT1,DSKDRV"
INCLUDE="CPQDKTYP.CMN"
ENDGROUP

;memory
FUNCTION="System Rom" SHOW=NO CHOICE=""
FREE
MEMORY=128K ADDRESS=896K CACHE=YES MEMTYPE=OTH WRITABLE=NO
GROUP="COMPAQ Memory"
TYPE="MEM;COMPAQ"
FUNCTION="Base Memory"
CHOICE="640 Kbytes, COMPAQ compatible"
TOTALMEM=1M-64M STEP=128K 
FREE
MEMORY=640K                ADDRESS=0K     CACHE=WRITEBACK
MEMORY=256K                ADDRESS=16000K CACHE=WRITEBACK MEMTYPE=OTH
MEMORY=128K                ADDRESS=16256K CACHE=YES MEMTYPE=OTH WRITABLE=NO
MEMORY=0M-14976K STEP=128K ADDRESS=1M     CACHE=WRITEBACK
MEMORY=0M-48M    STEP=128K ADDRESS=16M    CACHE=WRITEBACK
CHOICE="512 Kbytes, COMPAQ compatible"
TOTALMEM=1M- 64M STEP=128K 
HELP="The Configuration Utility may run out of memory when
reconfiguring the system if the base memory is set to 512K,
especially in complicated configurations.  If it does, you will be
notified of what actions to take."
FREE
MEMORY=512K                ADDRESS=0K     CACHE=WRITEBACK 
MEMORY=384K                ADDRESS=15872K CACHE=WRITEBACK MEMTYPE=OTH 
MEMORY=128K                ADDRESS=16256K CACHE=YES MEMTYPE=OTH WRITABLE=NO 
MEMORY=0M-14848K STEP=128K ADDRESS=1M     CACHE=WRITEBACK
MEMORY=0M-48M    STEP=128K ADDRESS=16M    CACHE=WRITEBACK
CHOICE="640 Kbytes, Linear"
TOTALMEM=1M- 64M STEP=128K 
HELP="This choice contiguously maps memory so that COMPAQ Built-In Memory is 
not available at FA0000, but is instead added into extended memory.  The 
previously reserved memory area at FE0000 is now available for use by 
additional memory.  If your applications do not support this memory 
configuration, reconfigure your system as 640K COMPAQ Compatible."
FREE
MEMORY=640K             ADDRESS=0K       CACHE=WRITEBACK
MEMORY=0K               ADDRESS=0K
MEMORY=128K             ADDRESS=4194176K CACHE=YES MEMTYPE=OTH WRITABLE=NO
MEMORY=0M-15M STEP=128K ADDRESS=1M       CACHE=WRITEBACK
MEMORY=0M-48M STEP=128K ADDRESS=16M      CACHE=WRITEBACK
FUNCTION="Total Memory"
CHOICE=""
ENDGROUP

;security
INCLUDE="CPQSEC2.CMN"

GROUP="Power-on Features"
FUNCTION="Diskette boot control"
HELP="This feature enables and disables system startup
from the diskette drive.  Disabling diskette boot
prevents the drive from being used to start the computer.
The diskette drive, however, remains active for all
other transactions such as reading or writing to a diskette."
CHOICE="Enabled"
CHOICE="Disabled"
FUNCTION="" SHOW=NO CHOICE=""
ENDGROUP

;integrated i/f
GROUP="Integrated Interfaces"
INCLUDE="CPQSER2M.CMN"
INCLUDE="CPQPAR1M.CMN"
INCLUDE="CPQPNTR.CMN"
ENDGROUP

;integrated vga
;none

;adv features
INCLUDE="CPQFEAT5.CMN"

ENDOVL

IOPORT(110)=0C94h  INITVAL=000000xx
IOPORT(111)=0C9Ah  INITVAL=rrrxrrrr
IOPORT(112)=0C6Dh INITVAL=rrrxxxrr
FUNCTION="" SHOW=NO CHOICE=""
LINK
INIT=IOPORT(110)LOC(1 0)11
INIT=IOPORT(111)LOC(4)0
INIT=IOPORT(112)LOC(4-2)101

FUNCTION="Processor Control" SHOW=NO CHOICE=""
FREE
MEMORY=1K ADDRESS=80C00000h MEMTYPE=VIR SIZE=DWORD CACHE=NO
FREE
IRQ=13 SHARE="SYSIRQA"

FUNCTION="" TYPE="ISA" SHOW=NO CHOICE=""
SUBTYPE="MAP"
FREEFORM=30,61h,62h,63h,64h,65h,0E0h,0E0h,0E0h,087h,0E0h,086h,0E0h,0E0h,
0E0h,0E0h,1,2,3,4,5,0,0,0,0,0,0,0,0,0,0

